---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libgetfldnm005.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C778, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4E6B8, symBinAddr: 0xE100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EAA0, symBinAddr: 0xE4E8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FA40, symBinAddr: 0xF488, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FA48, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C408, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C40C, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C410, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C560, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C618, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C61C, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C620, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C624, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C628, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C630, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4C640, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C648, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C650, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C658, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FAE, offset: 0x8FAE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C660, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FC8, offset: 0x8FC8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C668, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL7fld_sig, symObjAddr: 0xD418, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x90D9, offset: 0x90D9, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4C6B0, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x912B, offset: 0x912B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3C88, symSize: 0xA0 }
  - { offsetInCU: 0x91C0, offset: 0x91C0, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3C60, symSize: 0x28 }
  - { offsetInCU: 0x9223, offset: 0x9223, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3BE0, symSize: 0x80 }
  - { offsetInCU: 0x94B7, offset: 0x94B7, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3D28, symSize: 0x34 }
  - { offsetInCU: 0x9511, offset: 0x9511, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3D5C, symSize: 0x20C }
  - { offsetInCU: 0x96CA, offset: 0x96CA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3F68, symSize: 0x28 }
  - { offsetInCU: 0x9793, offset: 0x9793, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3F90, symSize: 0xB0 }
  - { offsetInCU: 0x988A, offset: 0x988A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4040, symSize: 0xD8 }
  - { offsetInCU: 0x99DB, offset: 0x99DB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4118, symSize: 0x24 }
  - { offsetInCU: 0x9A86, offset: 0x9A86, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x413C, symSize: 0x168 }
  - { offsetInCU: 0x9C62, offset: 0x9C62, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x42A4, symSize: 0x104 }
  - { offsetInCU: 0x9F13, offset: 0x9F13, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x43A8, symSize: 0x3F8 }
  - { offsetInCU: 0xA137, offset: 0xA137, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x47A0, symSize: 0x154 }
  - { offsetInCU: 0xA31B, offset: 0xA31B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x48F4, symSize: 0xAC }
  - { offsetInCU: 0xA3F0, offset: 0xA3F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x49A0, symSize: 0x14 }
  - { offsetInCU: 0xA429, offset: 0xA429, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x49B4, symSize: 0x14 }
  - { offsetInCU: 0xA462, offset: 0xA462, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x49C8, symSize: 0x14 }
  - { offsetInCU: 0xA5DF, offset: 0xA5DF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x49DC, symSize: 0x1A8 }
  - { offsetInCU: 0xA8E9, offset: 0xA8E9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x4B84, symSize: 0x140 }
  - { offsetInCU: 0xAA8A, offset: 0xAA8A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4CC4, symSize: 0x9C }
  - { offsetInCU: 0xAB47, offset: 0xAB47, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4D60, symSize: 0x690 }
  - { offsetInCU: 0xB6D9, offset: 0xB6D9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x92D4, symBinAddr: 0x6100, symSize: 0x30 }
  - { offsetInCU: 0xB765, offset: 0xB765, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x53F0, symSize: 0x74 }
  - { offsetInCU: 0xB7F5, offset: 0xB7F5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5464, symSize: 0xB0 }
  - { offsetInCU: 0xB8D4, offset: 0xB8D4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5514, symSize: 0x3C }
  - { offsetInCU: 0xB9CA, offset: 0xB9CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5550, symSize: 0x29C }
  - { offsetInCU: 0xBD0D, offset: 0xBD0D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x57EC, symSize: 0xD0 }
  - { offsetInCU: 0xBE3B, offset: 0xBE3B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x58BC, symSize: 0xC }
  - { offsetInCU: 0xBEFD, offset: 0xBEFD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x58C8, symSize: 0x22C }
  - { offsetInCU: 0xC1B8, offset: 0xC1B8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AF4, symSize: 0x4 }
  - { offsetInCU: 0xC1FC, offset: 0xC1FC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AF4, symSize: 0x4 }
  - { offsetInCU: 0xC215, offset: 0xC215, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5AF8, symSize: 0xFC }
  - { offsetInCU: 0xC30E, offset: 0xC30E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DC8, symBinAddr: 0x5BF4, symSize: 0x4 }
  - { offsetInCU: 0xC352, offset: 0xC352, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DC8, symBinAddr: 0x5BF4, symSize: 0x4 }
  - { offsetInCU: 0xC4BF, offset: 0xC4BF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetFieldName_getfldnm005_check, symObjAddr: 0x8DCC, symBinAddr: 0x5BF8, symSize: 0x508 }
  - { offsetInCU: 0xCA7F, offset: 0xCA7F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9304, symBinAddr: 0x6130, symSize: 0x358 }
...
